//**************************************************************************
//
//
//                       National Institute Of Standards and Technology
//                                    DTS Version 1.1
//         
//                              HTMLDivElement Interface
//**************************************************************************

function HTMLDivElement()
{
   var tests = new Array (HTML0001HDVE());
   return tests;
}

//------------------------ test case HTML-0001HDVE -------------------------
//
// Testing feature - The "align" attribute specifies the horizontal text 
//                   alignment.
//
// Testing approach - Retrieve the "align" attribute from the first 
//                    DIV element of the testing document and examine
//                    its value. It should be equal to "center".
//
// Semantic Requirements: 1
//
// Last modification date - October 25, 1999
//
// Written by: Carmelo Montanez
//----------------------------------------------------------------------------

 function HTML0001HDVE()
 {
   var computedValue = "";
   var expectedValue = "CENTER";
   var results = "";
   var testNode = "";

    results = new testResults("HTML0001HDVE");
    results.description = "The \"align\" attribute specifies the "+
                          "horizontal text alignment.";
//
// Retrieve targeted data.
//
      testNode = new HTMLNodeObject(DIV);
//
// and access its "align" attribute.
//
      computedValue = testNode.node.align;
      computedValue = computedValue.toUpperCase();
//
// Write out results 
//
      results.expected = expectedValue;
      results.actual = computedValue;

    return results;
}
//------------------------ End test case HTML-0001HDVE -------------------------
