//**************************************************************************
//
//
//                       National Institute Of Standards and Technology
//                                    DTS Version 1.1
//         
//                                HTMLTitleElement Interface
//**************************************************************************

function HTMLTitleElement()
{
   var tests = new Array (HTML0001HTIE());
   return tests;
}

//------------------------ test case HTML-0001HTIE ------------------------
//
// Testing feature - The "title" attribute of an HTMLTitleElement
//                   interface.
//
// Testing approach - Retrieve the "Title" attribute from the TITLE
//                    element of the testing document and examine its
//                    value.
//
// Semantic Requirements: 1
//
// Last modification date - July 21, 1999
//
// Written by: Carmelo Montanez
//----------------------------------------------------------------------------

 function HTML0001HTIE()
 {
   var computedValue = "";
   var expectedValue = "THE NIST DOM TEST SUITE VERSION 1.1 (HTML)";
   var results = "";
   var testNode = "";

    results = new testResults("HTML0001HTIE");
    results.description = "The \"title\" attribute of an HTMLTitleElement "+
                          "interface.";
//
// Retrieve targeted data.
//
      testNode = new HTMLNodeObject(TITLE);
//
// and access its "text" attribute"
//
      computedValue = testNode.node.text;
      computedValue = computedValue.toUpperCase();
//
// Write out results 
//
       results.expected = expectedValue;
       results.actual = computedValue;

    return results;
}
//------------------------ End test case HTML-0001HTIE -------------------------
